Installation or Licensing

Installation and Licensing

Installation Instructions for each Product

Please choose a product:

VEE OneLab

VEE Pro

VEE Pro Evaluation

Licensing

The installation process includes a licensing module. If you only need to license your product, please choose Licensing your Software.


Critical Defects Repaired

Critical Defects Repaired in Version 6.1

Defect Corrected: A user object has another user object inside it. The inner user

object has an input line to or output line from it. When you attempt to unpack

the user object, the unpack fails.

Defect Corrected: ActiveX control resizing was unreliable.

Defect Corrected: The XY markers “jump” to new locations on the traces. This

movement was not related to the traceOffset.

Defect Corrected: The min(), max(), and mode() functions would leak memory on UInt8

and Int16.

Defect Corrected: The XY markers “jump” to new locations on the traces when panel and

detail views disagreed on traceOffset for marker.

Defect Corrected: With data declared as type variant, To File was unable to put out

the true data type, so the read in from File defaulted to an Int32.

Defect Corrected: When the WebBrowser ActiveX control was loaded in development, it

caused a Caution regarding the inability to set Default Values.

Defect Corrected: CVI 5.5 write format for Revision 4 .fp files was unusual.

Adjusted the VEE .fp reader to handle the format change.

Defect Corrected: File associations were not properly updated after the installation

of VEE 6.0X.

Defect Corrected: Random crashes of the National Instruments LoadLibrary, GPIB.DLL.

Defect Corrected: The Call function documentation was incorrect.

Defect Corrected: VEE read and subsequently stored the driver file name incorrectly.

Defect Corrected: Removed the requirement that the user press the non-existent

“Accept” button to agree to the software license terms.

Defect Corrected: License is now available as the License.txt file in the root of

VEE’s installation directory.

Defect Corrected: When Excel97a was used in conjunction with VEE, Excel97a was left

with a blank display after VEE exited. Excel97a is now forced to close, which

releases trapped resources. Excel performs normally upon restart.

Defect Corrected: Updated the documentation to reflect the need to quote pathnames

that contain embedded spaces.

Defect Corrected: Documentation changed to show Complex data types do not work with

Bessel.

Defect Corrected: Documentation changed to explain the Import/Delete Library

alternative for turning Excel off. Available only in Pro as OneLab does support

Import/Delete.

Defect Corrected: Read text date worked in the VEE 4 Execution Mode, but failed in

both the 5 and 6 modes.

Defect Corrected: Editing of objects on the panel was not setting the Modified

indicator.

Defect Corrected: VEE runtime was returning design mode True, which was causing

problems for some ActiveX controls.

Defect Corrected: When running VEE to VEE-RPC as a server, Windows 95/98 leaked

memory and resources.

Defect Corrected: A floating-point underflow was not being generated for numbers

less than 2.25E-308.

Defect Corrected: If a COM method returned an error, it was immediately called

again.

Defect Corrected: There was a memory leak when a VEE program loaded and deleted a

VEE library that used an ActiveX object.

Defect Corrected: Program.vxe files would not run more than once in the development

environment.

Defect Corrected: VEE failed when using Remote User Function libraries (Debug

enabled) while importing multiple libraries that contained Global declared

variables.

Defect Corrected: VEE failed on the second run when a Call object used a

FunctionName Control to call a DLL function.

Defect Corrected: VEE ActiveX Automation Server did not work with output arrays

of type VT_ARRAY and VT_VARIANT.

Defect Corrected: Run-time errors occurred when loading a VEE library with an

ActiveX control.

Defect Corrected: In very unusual circumstances, data constants with the

WaitForInput box checked inferred a bad data type.


Installing and Licensing VEE OneLab 6.1

INSTALLATION INSTRUCTIONS

  1. Exit VEE and close any VEE help window that may be opened. If you have the VEE Service Manager running, exit it also.

  2. Insert the installation CD-ROM into your CD-ROM drive.

  3. Setup should begin automatically, but, if it does not begin, choose the Start | Run menu of your Desktop's taskbar. Enter [The CD-ROM drive letter]:\setup.exe and choose OK.

  4. Choose Next on the Welcome Screen.

  5. Review the license agreement. If you accept its terms, choose Yes. Otherwise choose No and you will be returned to the operating system.

  6. Set your installation directory in the next screen. If you want something other than the default, enter it. You can Browse for the directory if necessary. Choose Next to continue.

  7. Set your working directory in the next screen. If you want something other than the default, enter it. You can Browse for the directory if necessary. Choose Next to continue or Back to change items on the previous screen.

  8. Choose an installation type:

Typical - installs the components most people find useful

Compact - installs a minimal set of components

Custom - while you must install the basic VEE files, other files are optional

Choose Next

  9. The file installation process begins.

  10. The last screen is displayed. You can launch VEE immediately after quitting the installation process by leaving the checkbox active or clear it to return to your operating system. Choose Finish.

LICENSING

Go to Licensing your Software.

NEW FEATURES

Updated VEE to support FLEXlm licensing.

Updated VEE to MATLAB Script version 6.1

Updated VEE to support Windows XP


Installing and Licensing VEE Pro Evaluation 6.1

INSTALLATION INSTRUCTIONS

  1. Exit VEE and close any VEE help window that may be opened. If you have the VEE Service Manager running, exit it also.

  2. Insert the installation CD-ROM into your CD-ROM drive.

  3. Setup should begin automatically, but, if it does not begin, choose the Start | Run menu of your Desktop's taskbar. Enter [The CD-ROM drive letter]:\setup.exe and choose OK.

  4. Choose Next from the Welcome Screen.

  5. Review the license agreement. If you accept its terms, choose Yes. Otherwise choose No and you will be returned to the operating system.

  6. Set your installation directory in the next screen. If you want something other than the default directory (C:\Program Files\Agilent\VEE Pro Evaulation 6.1), choose Browse and select a different directory. Choose Next to continue.

  7. Choose an installation type:

Typical - installs the components most people find useful

Compact - installs a minimal set of components

Custom - while you must install the basic VEE files, other files are optional

Choose Next.

  8. The VEE Pro Evaluation software installation process begins.

  9. The last screen is displayed. You can have VEE launch immediately after quitting the installation process by leaving the checkbox active or clear it to return to your operating system. Choose Finish.

LICENSING

Go to Licensing your Software.

NEW FEATURES

Updated VEE to support FLEXlm licensing.

Updated VEE to MATLAB Script version 6.1

Updated VEE to support Windows XP


Installing and Licensing VEE Pro 6.1

INSTALLATION INSTRUCTIONS

  1. Exit VEE and close any VEE help window that may be opened. If you have the VEE Service Manager running, exit it also.

  2. Insert the installation CD-ROM into your CD-ROM drive.

  3. Setup should begin automatically, but, if it does not begin, choose the Start | Run menu of your Desktop's taskbar. Enter [The CD-ROM drive letter]:\setup.exe and choose OK.

  4. A screen appears where you must choose between the Development Environment or the Runtime Environment. Choose the environment you want to install by clicking the button beside the application name.

  5. Review the license agreement. If you accept its terms, choose Yes. Otherwise choose No and you will be returned to the operating system.

  6. Choose Next on the Welcome Screen.

  7. Set your installation directory in the next screen. If you want something other than the default directory (C:\Program Files\Agilent\VEE Pro 6.1), choose Browse and select a different directory. Choose Next to continue.

  8. Set your working directory in the next screen. If you want something other than the default directory, choose Browse and select it. Choose Next to continue.

  9. Choose an installation type:

Typical - installs the components most people find useful

Compact - installs a minimal set of components

Custom - while you must install the basic VEE files, other files are optional

Choose Next.

  10. The VEE Pro software installation process begins.

  11. The last screen is displayed. You can have VEE launch immediately after quitting the installation process by leaving the checkbox active or clear it to return to your operating system. Choose Finish.

LICENSING

Go to Licensing your Software.

NEW FEATURES

Updated VEE to support FLEXlm licensing.

Updated VEE to MATLAB Script version 6.1

Updated VEE to support Windows XP


VEE 6.1 Documentation Errata

Regarding the VEE RPC API; the VEE service manager uses the global version of the Instrument Manager file (vee.io) and rather than the local one stored in the VEE program.


Licensing your Software

To license your software, you need a license file. Agilent creates this file for you using your LANID and Host Name. There are some steps you can take to ensure the success of this operation.

  1. Ensure that you can connect to the World Wide Web before you begin the licensing process. You must connect to a URL at Agilent for the licensing process to continue.

  2. Install your software before you start the licensing process. While this is not absolutely necessary, it does make it easier to set up the license file.

The Licensing Process

  1. Go to http://www.agilent.com/find/codeword. Follow the instructions at this site.